Reglamento general de los foros   •   FAQ   •   Buscar en el foro •  Registrarse | Iniciar sesión 



Portada » Foros Linux » General » Software


Nuevo tema Responder al tema
 [ 9 mensajes ] 
Patrocinadores

Autor
Buscar:
Mensaje

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ene 01, 2013 8:40 pm
Mensajes: 4

Nota Publicado: Mar Ene 01, 2013 8:42 pm 
Arriba  
Buenas gente como estan ?

Me surgio el siguiente problema al querer instalar los drivers correspondientes a mi placa de video .

me fije en los logs y me arroja el siguiente error , ' Check if system has the tools required for installation.
fglrx installation requires that the system have kernel headers. /lib/modules/3.5.0-21-generic/build/include/linux/version.h cannot be found on this system.
One or more tools required for installation cannot be found on the system. Install the required tools before installing the fglrx driver.
Optionally, run the installer with --force option to install without the tools.
Forcing install will disable AMD hardware acceleration and may make your system unstable. Not recommended. '

cabe destacar que instale los fglrx y cuando reinicio se me va la resolucion a 1440 .. tengo q volver a desinstalarlo para volver a la resolucion nativa del monitor

si tiro un glxgears me abre la ventana de los engranajes por lo tanto openGL estaria corriendo no ?
probe deshabilitando la aceleracion de hardware con el commando (gksudo gedit /etc/modprobe.d/ati.conf blacklist radeon ) y volver a reinstalar pero el error perdura y no se que mas buscar

capaz es una pavada bueno, desde ya muchas gracias !

 Perfil  

Desconectado
Forista Distinguido
Forista Distinguido
Avatar de Usuario

Registrado: Sab Dic 08, 2007 8:00 am
Mensajes: 1225

Nota Publicado: Mar Ene 01, 2013 10:34 pm 
Arriba  
Hola como estas, que modelo de placa ati tienes, asimismo es importante que menciones que distro gnu linux usas.


Saludos

 Perfil  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ene 01, 2013 8:40 pm
Mensajes: 4

Nota Publicado: Mar Ene 01, 2013 10:59 pm 
Arriba  
buenas antes que nada muchas gracias por contestar ,
- tengo una HD radeon 4870 1 gb
- Ubuntu v 12.10

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Lun Mar 31, 2008 8:00 am
Mensajes: 1982

Nota Publicado: Mié Ene 02, 2013 5:59 am 
Arriba  
Pero a mi me parece que lo que falta es las headers del kernel que esta activado en el momento.-
Verificaste la ruta que menciona ahi, que exista???

 Perfil  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ene 01, 2013 8:40 pm
Mensajes: 4

Nota Publicado: Mié Ene 02, 2013 2:05 pm 
Arriba  
a esta ruta te referis ? " /lib/modules/3.5.0-21-generic/build/include/linux/version.h " la verdad q no lo chequee , si no la tengo se supone q el header del kernel q no esta instalado ? gracias !!

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Lun Mar 31, 2008 8:00 am
Mensajes: 1982

Nota Publicado: Mié Ene 02, 2013 6:10 pm 
Arriba  
No el headers se instala como paquete aparte, tenes que buscar la misma versión del kernel en cuestión, por ejemplo te dice que esta corriendo el kernel 3,5.0-21-generic, tenes que buscar en el gestor de paquetes, linux-headers-3.5,0-21-all, o linux-source-3.5.0-21-all.-

 Perfil  

Desconectado
Forista Distinguido
Forista Distinguido
Avatar de Usuario

Registrado: Sab Dic 08, 2007 8:00 am
Mensajes: 1225

Nota Publicado: Mié Ene 02, 2013 6:16 pm 
Arriba  
Hola, concuerdo con hmg79 verifica si tienes instalado el paquete linux-headers-generic, asimismo si el driver lo estas instalando desde los repositorios de Ubuntu, el paquete linux-headers debería haberse instalado automáticamente.

Por otro lado, luego de haber instalado el driver deberías abrir una terminal y escribir sudo aticonfig --initial -f.


Se me estaba olvidando mencionar que AMD ya no da soporte a las placas de video HD radeon serie 4xxx, el ultimo driver oficial liberado para estas placas es el driver 12.6 (que data de junio del 2012). Yo tengo una ati radeon 4250 y mis intentos por instalar el driver propietario en mi distro Debian de la rama testing han sido un verdadero fracaso (estoy usando el driver libre y me va bastante bien).



Saludos

 Perfil  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ene 01, 2013 8:40 pm
Mensajes: 4

Nota Publicado: Jue Ene 03, 2013 12:12 am 
Arriba  
Buenas , gracias por los aportes , el driver lo descarge de la web de amd correspondiente a la version 12.6 , hoy cuando llego a casa lo pongo en practica y les cuento como me fue , alguna otra recomendacion ? , gracias !

Editado -- Mié Ene 02, 2013 7:15 pm --

buenas gente , recien intene buscar en el gestor de paquetes (synaptic) linux-headers-3.5.0-21-all y no ahi resultado en la busqueda , tengo alguna forma de instalar por terminal ? siguiendo estos pasos ?

Actualizar la version
$ sudo apt-get update

*Buscar la version del kernel
$ apt-cache search linux-headers-$(uname -r)

*Instalar el paquete linux-headers
$ sudo apt-get install linux-headers-$(uname -r)


muchas gracias nuevamente .

Editado -- Mié Ene 02, 2013 8:11 pm --

gente probe lo escrito arriba y me lo dejo instalar , pero cuando le doy finalizar me tira el log para revisar y es el siguiente . gracias!!

Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Unloading radeon module...
ERROR: Module radeon is in use
Unloading drm module...
ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.5.0-21-generic/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-3.5.0-21-generic»
CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: En la función ‘KCL_MEM_AllocLinearAddrInterval’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2152:5: error: declaración implícita de la función ‘do_mmap’ [-Werror=implicit-function-declaration]
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2152:13: aviso: conversión a puntero desde un entero de tamaño diferente [-Wint-to-pointer-cast]
cc1: algunos avisos se tratan como errores
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: se sale del directorio «/usr/src/linux-headers-3.5.0-21-generic»
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
[Reboot] Kernel Module : update-initramfs

Editado -- Mié Ene 02, 2013 8:12 pm --

a y me tiro la resolucion para cualquiera lado .....

 Perfil  

Desconectado
Forista Medio
Forista Medio

Registrado: Sab Ene 01, 2011 2:40 am
Mensajes: 399
Ubicación: Peru

Nota Publicado: Sab Ene 05, 2013 8:23 pm 
Arriba  
Tienes que parchar el driver , espero que estes usando la version fglrx-legacy del driver de radeon, ese es mas problema de el nucleo

_________________
"Bañarse en pareja (ahorra agua y ayuda a producir niños ecológicos) =)"
http://o4-gml.blogspot.com/

 Perfil  
Mostrar mensajes previos:  Ordenar por  
 [ 9 mensajes ] 
Nuevo tema Responder al tema

Saltar a:  


 Temas relacionados   Autor   Respuestas   Vistas   Último mensaje 
problema al compilar modulo fglrx en ati radeon 9550

en X Window

toche

1

1315

Dom Ago 26, 2007 4:20 pm

toche Ver último mensaje

Problema con Feisty (Final) y Driver fglrx Ati X1300

en Hardware

hugomazaa

3

1674

Lun Abr 23, 2007 4:42 am

hugomazaa Ver último mensaje

Problema al instalar los drivers de ATI

en Hardware

Biopepe

9

2945

Mar Jul 04, 2006 2:24 am

Biopepe Ver último mensaje

Problema al instalar Drivers de ATI

en Software

CamuzieL

4

473

Dom Ene 16, 2011 7:58 pm

o4kley Ver último mensaje

Instalar controlador privativo fglrx para tarjeta gráfica ati mobility radeon hd 3650 en debian 6...

en Software

yoky

6

1166

Mié Nov 02, 2011 10:29 pm

niky45 Ver último mensaje



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 2 invitados

No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro
No puede enviar adjuntos en este Foro

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group :: Style based on FI Subice by phpBBservice.nl :: Todos los horarios son UTC + 1 hora [ DST ]
Traducción al español por Huan Manwë
phpBB SEO